QGIS Application - Bug report #21954
change data source and style gets overridden
2019-04-29 04:05 PM - Gavin Fleming

Status: Feedback

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:3.6.2 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 29769
Description

| created a project whose layers came from a locally available PostGIS connection (replication slave).

When | opened the project on another network | had to change the PostGIS source to the replication master host.

The layers loaded fine but with their default styles - my layer styles were overriden.

Expected behaviour: replacing a layer's source should not affect the style.

Related issues:

Duplicated by QGIS Application - Bug report # 22089: .qgz symbolisation fails... Closed 2019-05-16
Duplicated by QGIS Application - Bug report # 22093: Layer style is not maint... Closed 2019-05-16
History

#1 - 2019-04-29 04:19 PM - Alessandro Pasotti
- Status changed from Open to Feedback

Can you please explain step-by-step what you did after loading the "bad" project? (a short video might also help)

Can you please attach a test project and minimal DB dump to replicate this issue?

#2 - 2019-04-30 03:37 AM - Nyall Dawson

Alessandro - I'm guessing this is because the layer has a default style set on the db, and it's getting re-applied after the call to change to layer's uri.

#3 - 2019-04-30 09:21 AM - Alessandro Pasotti

@Nyall thank you for the clarification, | totally misunderstood "default style" and | thought it was the random style applied to new layers.

#4 - 2019-05-16 09:00 AM - Jiirgen Fischer
- Duplicated by Bug report #22089: .qgz symbolisation fails when path to data is adjusted at startup added

#5 - 2019-05-16 03:13 PM - Juirgen Fischer
- Duplicated by Bug report #22093: Layer style is not maintained when changing windows folder added
